> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a knowledge base

> Returns a single active knowledge base belonging to the requested workspace.



## OpenAPI

````yaml /openapi.yaml get /v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}:
    parameters:
      - name: workspace_id
        in: path
        required: true
        description: Workspace UUID
        schema:
          type: string
          format: uuid
      - name: knowledge_base_id
        in: path
        required: true
        description: Knowledge base UUID
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Knowledge Bases
      summary: Get a knowledge base
      description: >-
        Returns a single active knowledge base belonging to the requested
        workspace.
      responses:
        '200':
          description: knowledge base returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  knowledge_base:
                    type: object
                required:
                  - knowledge_base
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
        '422':
          description: knowledge base not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Knowledge base not found.
                required:
                  - error
      security:
        - bearer_auth: []
components:
  schemas:
    error_response:
      type: object
      properties:
        error:
          type: string
          example: Invalid access.
      required:
        - error
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: 'Workspace API key sent as `Authorization: Bearer <api_key>`.'

````